# Uses of Interface
org.sunflow.core.PrimitiveList

Packages that use PrimitiveList
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.accel
org.sunflow.core.light
org.sunflow.core.primitive
org.sunflow.core.tesselatable

## Uses of PrimitiveList in org.sunflow

Fields in org.sunflow with type parameters of type PrimitiveList
Modifier and Type
Field
Description
`static final Plugins<PrimitiveList>`
PluginRegistry.`primitivePlugins`

## Uses of PrimitiveList in org.sunflow.core

Methods in org.sunflow.core that return PrimitiveList
Modifier and Type
Method
Description
`PrimitiveList`
PrimitiveList.`getBakingPrimitives()`
Create a new `PrimitiveList` object suitable for baking lightmaps.
`PrimitiveList`
Tesselatable.`tesselate()`
Tesselate this object into a `PrimitiveList`.
Methods in org.sunflow.core with parameters of type PrimitiveList
Modifier and Type
Method
Description
`void`
AccelerationStructure.`build(PrimitiveList primitives)`
Construct an acceleration structure for the specified primitive list.
`static Instance`
Instance.`createTemporary(PrimitiveList primitives, Matrix4 transform, Shader shader)`
Constructors in org.sunflow.core with parameters of type PrimitiveList
Modifier
Constructor
Description
``
`Geometry(PrimitiveList primitives)`
Create a geometry from the specified primitive aggregate.

## Uses of PrimitiveList in org.sunflow.core.accel

Methods in org.sunflow.core.accel with parameters of type PrimitiveList
Modifier and Type
Method
Description
`void`
BoundingIntervalHierarchy.`build(PrimitiveList primitives)`
`void`
KDTree.`build(PrimitiveList primitives)`
`void`
NullAccelerator.`build(PrimitiveList primitives)`
`void`
UniformGrid.`build(PrimitiveList primitives)`

## Uses of PrimitiveList in org.sunflow.core.light

Classes in org.sunflow.core.light that implement PrimitiveList
Modifier and Type
Class
Description
`class`
`ImageBasedLight`
`class`
`SunSkyLight`
`class`
`TriangleMeshLight`
Methods in org.sunflow.core.light that return PrimitiveList
Modifier and Type
Method
Description
`PrimitiveList`
ImageBasedLight.`getBakingPrimitives()`
`PrimitiveList`
SunSkyLight.`getBakingPrimitives()`

## Uses of PrimitiveList in org.sunflow.core.primitive

Classes in org.sunflow.core.primitive that implement PrimitiveList
Modifier and Type
Class
Description
`class`
`Background`
`class`
`BanchoffSurface`
`class`
`Box`
`class`
`CornellBox`
`class`
`CubeGrid`
`class`
`Cylinder`
`class`
`Hair`
`class`
`JuliaFractal`
`class`
`ParticleSurface`
`class`
`Plane`
`class`
`QuadMesh`
`class`
`Sphere`
`class`
`SphereFlake`
`class`
`Torus`
`class`
`TriangleMesh`
Methods in org.sunflow.core.primitive that return PrimitiveList
Modifier and Type
Method
Description
`PrimitiveList`
Background.`getBakingPrimitives()`
`PrimitiveList`
BanchoffSurface.`getBakingPrimitives()`
`PrimitiveList`
Box.`getBakingPrimitives()`
`PrimitiveList`
CornellBox.`getBakingPrimitives()`
`PrimitiveList`
Cylinder.`getBakingPrimitives()`
`PrimitiveList`
Hair.`getBakingPrimitives()`
`PrimitiveList`
JuliaFractal.`getBakingPrimitives()`
`PrimitiveList`
ParticleSurface.`getBakingPrimitives()`
`PrimitiveList`
Plane.`getBakingPrimitives()`
`PrimitiveList`
QuadMesh.`getBakingPrimitives()`
`PrimitiveList`
Sphere.`getBakingPrimitives()`
`PrimitiveList`
SphereFlake.`getBakingPrimitives()`
`PrimitiveList`
Torus.`getBakingPrimitives()`
`PrimitiveList`
TriangleMesh.`getBakingPrimitives()`

## Uses of PrimitiveList in org.sunflow.core.tesselatable

Methods in org.sunflow.core.tesselatable that return PrimitiveList
Modifier and Type
Method
Description
`PrimitiveList`
BezierMesh.`tesselate()`
`PrimitiveList`
FileMesh.`tesselate()`